<template>
  <div class="min-h-full flex items-center justify-center py-6 px-4 sm:px-6 lg:px-8"
  >
    <div class="max-w-lg w-full bg-white p-4 md:px-8 md:py-10 shadow-xl z-10">
      <div>
        <h2 class="mt-6 text-center text-3xl font-extrabold text-gray-900">
          Modifier mon profil
        </h2>
      </div>
      <div>
        <Vuemik
            :initial-values="{
                firstname: user.session.firstname,
                lastname: user.session.lastname,
                gender: user.session.gender === true ? 'H' : user.session.gender === false ? 'F' : 'A'
            }"
            :on-submit="user.updateUser"
            :violations="user.violationsUpdateUser"
            v-slot="{ handleSubmit }"
        >
          <div class="relative">
            <Field
                label="Nom"
                component="input"
                type="text"
                placeholder="Nom"
                name="lastname"
            />
          </div>
          <div class="relative">
            <Field
                label="Prénom"
                component="input"
                type="text"
                placeholder="Prénom"
                name="firstname"
            />
          </div>
          <DefineGender/>
          <Field
              component="input"
              type="button"
              value="Modifier"
              @click="handleSubmit"
          />
        </Vuemik>
      </div>
      <ChangePassword :submit='user.changePassword'/>
      <TranslationProvider>
        <tags-categories-preferences-provider
            type="POI"
        />
        <tags-categories-preferences-provider
            type="restaurant"
        />
        <tags-categories-preferences-provider
            type="hostel"
        />
      </TranslationProvider>
    </div>
  </div>
</template>
<script>
import Vuemik from "@/components/Form/Vuemik.vue";
import Field from "@/components/Form/Field.vue";
import TagsCategoriesPreferencesProvider from "@/providers/TagsCategoriesPreferencesProvider";
import ChangePassword from "@/components/Form/ChangePassword.vue";
import TranslationProvider from "@/providers/TranslationProvider";
import DefineGender from "@/components/Form/DefineGender";

export default {
  name: "EditProfileForm",
  components: {
    DefineGender,
    TranslationProvider,
    Vuemik,
    Field,
    TagsCategoriesPreferencesProvider,
    ChangePassword
  },
  inject: ["user"]
};

</script>
